com.rscja.team.qcom.socket

## Class SocketUdpClient

- java.lang.Object
- - com.rscja.team.qcom.socket.SocketTcpIpBase
  - - com.rscja.team.qcom.socket.SocketUdpClient

-     public class SocketUdpClient
      extends SocketTcpIpBase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocketUdpClient()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `close()`
    `boolean` | `connect(java.lang.String ipString, int port)`
    `byte[]` | `receive()`
    `byte[]` | `receiveOnThread()`
    `byte[]` | `receiveOnThread(int timeOut)`
    `boolean` | `send(byte[] data)`
    `boolean` | `sendOnThread(byte[] data)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SocketUdpClient

          public SocketUdpClient()

  - ### Method Detail

    - #### connect

          public boolean connect(java.lang.String ipString,
                                 int port)

      Specified by:
        `connect` in class `SocketTcpIpBase`

    - #### close

          public boolean close()

      Specified by:
        `close` in class `SocketTcpIpBase`

    - #### sendOnThread

          public boolean sendOnThread(byte[] data)

      Specified by:
        `sendOnThread` in class `SocketTcpIpBase`

    - #### receiveOnThread

          public byte[] receiveOnThread()

      Specified by:
        `receiveOnThread` in class `SocketTcpIpBase`

    - #### receiveOnThread

          public byte[] receiveOnThread(int timeOut)

      Specified by:
        `receiveOnThread` in class `SocketTcpIpBase`

    - #### receive

          public byte[] receive()

      Specified by:
        `receive` in class `SocketTcpIpBase`

    - #### send

          public boolean send(byte[] data)

      Specified by:
        `send` in class `SocketTcpIpBase`